// Multi precision toolbox for Scilab
// Copyright (C) 2011 - Jonathan Blanchard

// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->

// Tests for mps_abs().

A = [ 1  -2  3  4;
      5  6  7  8;
      9 10 -11 12;
     13 -14 15 16 ];
     
mpsA = mps_init2(A, 100);
mpsB = mps_init(4, 4, 100);

B = abs(A);
mps_abs(mpsB, mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsB);
mpsB = mps_init(4, 4, 100);
mps_abs(mpsB, A);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_abs(mpsB, A, 'n');
mps_abs(mpsB, A, 'z');
mps_abs(mpsB, A, 'u');
mps_abs(mpsB, A, 'd');
mps_abs(mpsB, 'n');
mps_abs(mpsB, 'z');
mps_abs(mpsB, 'u');
mps_abs(mpsB, 'd');

mps_clear(mpsA);
mps_clear(mpsB);

A = [ 10 ];
     
mpsA = mps_init2(A, 100);
mpsB = mps_init(1, 1, 100);

B = abs(A);
mps_abs(mpsB, mpsA);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsB);
mpsB = mps_init(1, 1, 100);
mps_abs(mpsB, A);
rst = mps_isequal(mpsB, B);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);