// Multi precision toolbox for Scilab
// Copyright (C) 2011 - Jonathan Blanchard

// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->

// Tests for mps_get_ele().

A = [ 1  2  3  4  5  6;
      7  8  9  10 11 12;
      13 14 15 16 17 18;
      19 20 21 22 23 24 ];

mpsA = mps_init2(A, 100);
mpsB = mps_init(1,1,100);

mps_get_ele(mpsB, mpsA, 2, 3);

rst = mps_isequal(mpsB, 9);
if rst <> %t  then pause, end
rst = %f;

mps_get_ele(mpsB, mpsA, 4, 4);

rst = mps_isequal(mpsB, 22);
if rst <> %t  then pause, end
rst = %f;

mps_get_ele(mpsB, mpsA, 4, 6);

rst = mps_isequal(mpsB, 24);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);


A = [25];

mpsA = mps_init2(A, 100);
mpsB = mps_init(1,1,100);

mps_get_ele(mpsB, mpsA, 1, 1);

rst = mps_isequal(mpsB, 25);
if rst <> %t  then pause, end
rst = %f;

mps_clear(mpsA);
mps_clear(mpsB);