/*
 * Multi precision toolbox for Scilab
 * Copyright (C) 2009 - Jonathan Blanchard
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.    The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 */

/* Configuration header for the mps library. */

#ifndef __MPS_CONFIG_H__
#define __MPS_CONFIG_H__

#define WITH_ASSERT_CHECKS

#define HAVE_STD_ARG

/* #undef HAVE_VAR_ARG */

#define HAVE_OVERLENGTH_STRINGS

/* #undef WITH_C99_INLINE */

/* #undef WITH_OPENMP */

/* #undef HAVE_GETHRTIME */

/* #undef HAVE_MACH_TIME */

/* #undef HAVE_USHORT32 */
#define HAVE_UINT32
#define HAVE_ULINT32
/* #undef HAVE_SHORT32 */
#define HAVE_INT32
#define HAVE_LINT32

/* #undef HAVE_UINT64 */
/* #undef HAVE_ULINT64 */
#define HAVE_ULLINT64
/* #undef HAVE_INT64 */
/* #undef HAVE_LINT64 */
#define HAVE_LLINT64

#define HAVE_UINT32_T
#define HAVE_UINT64_T

/* #undef HAVE_BIGENDIAN */

#endif /* __MPS_CONFIG_H__ */
